# Post

class Post implements ModelObject

Description of Post

## Methods

User
getUser()

No description

Groups
getGroup()

No description

Tags
getTag()

No description

Documents
getDocuments()

No description

Resource
getResource()

No description

string
getDescription()

No description

string
getPostingdate()

No description

string
getChangedate()

No description

$this
setUser(User $user)

No description

setGroup($group)

No description

setTag(array $tag)

No description

addTag($tag)

No description

setDocuments($documents)

No description

setResource($resource)

No description

setDescription($description)

No description

setPostingdate($postingdate)

No description

setChangedate($changedate)

No description

hasDocuments()

No description

hasGroup()

No description

__toString()

No description

## Details

###
at line 82
`User getUser()`

#### Return Value

User |

###
at line 89
`Groups getGroup()`

#### Return Value

Groups |

###
at line 96
`Tags getTag()`

#### Return Value

Tags |

###
at line 103
`Documents getDocuments()`

#### Return Value

Documents |

###
at line 110
`Resource getResource()`

#### Return Value

Resource |

###
at line 117
`string getDescription()`

#### Return Value

string |

###
at line 124
`string getPostingdate()`

#### Return Value

string |

###
at line 131
`string getChangedate()`

#### Return Value

string |

###
at line 140
`$this setUser(User $user)`

#### Parameters

User | $user |

#### Return Value

$this |

###
at line 146
`setGroup($group)`

#### Parameters

| $group |

###
at line 152
`setTag(array $tag)`

#### Parameters

array | $tag |

###
at line 157
`addTag($tag)`

#### Parameters

| $tag |

###
at line 162
`setDocuments($documents)`

#### Parameters

| $documents |

###
at line 167
`setResource($resource)`

#### Parameters

| $resource |

###
at line 172
`setDescription($description)`

#### Parameters

| $description |

###
at line 177
`setPostingdate($postingdate)`

#### Parameters

| $postingdate |

###
at line 182
`setChangedate($changedate)`

#### Parameters

| $changedate |

###
at line 187
`hasDocuments()`

###
at line 191
`hasGroup()`

###
at line 195
`__toString()`